Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Core.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Core.cs	(revision 5469)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Core.cs	(revision 5472)
@@ -111,18 +111,18 @@
 
     private void RegisterServiceEvents() {
-      WcfService.Instance.Connected += new EventHandler(wcfService_Connected);
-      WcfService.Instance.ExceptionOccured += new EventHandler<EventArgs<Exception>>(wcfService_ExceptionOccured);
+      WcfService.Instance.Connected += new EventHandler(WcfService_Connected);
+      WcfService.Instance.ExceptionOccured += new EventHandler<EventArgs<Exception>>(WcfService_ExceptionOccured);
     }
 
     private void DeRegisterServiceEvents() {
-      WcfService.Instance.Connected -= wcfService_Connected;
-      WcfService.Instance.ExceptionOccured -= wcfService_ExceptionOccured;
-    }
-
-    void wcfService_ExceptionOccured(object sender, EventArgs<Exception> e) {
+      WcfService.Instance.Connected -= WcfService_Connected;
+      WcfService.Instance.ExceptionOccured -= WcfService_ExceptionOccured;
+    }
+
+    void WcfService_ExceptionOccured(object sender, EventArgs<Exception> e) {
       ClientCom.LogMessage("Connection to server interruped with exception: " + e.Value.Message);
     }
 
-    void wcfService_Connected(object sender, EventArgs e) {
+    void WcfService_Connected(object sender, EventArgs e) {
       ClientCom.LogMessage("Connected successfully to Hive server");
     }
@@ -299,5 +299,5 @@
         foreach (KeyValuePair<Guid, AppDomain> kvp in appDomains) {
           ClientCom.LogMessage("Shutting down Appdomain for " + kvp.Key);
-          appDomains[kvp.Key].UnhandledException -= new UnhandledExceptionEventHandler(appDomain_UnhandledException);
+          appDomains[kvp.Key].UnhandledException -= new UnhandledExceptionEventHandler(AppDomain_UnhandledException);
           AppDomain.Unload(kvp.Value);
         }
@@ -417,5 +417,5 @@
         try {
           AppDomain appDomain = HeuristicLab.PluginInfrastructure.Sandboxing.SandboxManager.CreateAndInitSandbox(myJob.Id.ToString(), pluginDir, Path.Combine(pluginDir, configFileName));
-          appDomain.UnhandledException += new UnhandledExceptionEventHandler(appDomain_UnhandledException);
+          appDomain.UnhandledException += new UnhandledExceptionEventHandler(AppDomain_UnhandledException);
           lock (engines) {
             if (!jobs.ContainsKey(myJob.Id)) {
@@ -451,5 +451,5 @@
     }
 
-    private void appDomain_UnhandledException(object sender, UnhandledExceptionEventArgs e) {
+    private void AppDomain_UnhandledException(object sender, UnhandledExceptionEventArgs e) {
       ClientCom.LogMessage("Exception in AppDomain: " + e.ExceptionObject.ToString());
       KillAppDomain(new Guid(e.ExceptionObject.ToString()));
@@ -492,5 +492,5 @@
 
           if (appDomains.ContainsKey(id)) {
-            appDomains[id].UnhandledException -= new UnhandledExceptionEventHandler(appDomain_UnhandledException);
+            appDomains[id].UnhandledException -= new UnhandledExceptionEventHandler(AppDomain_UnhandledException);
 
             int repeat = 5;
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/PluginCache.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/PluginCache.cs	(revision 5469)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/PluginCache.cs	(revision 5472)
@@ -61,5 +61,5 @@
     }
 
-    private string getFilenameFromPath(string path) {
+    private string GetFilenameFromPath(string path) {
       string[] dirParts = path.Split(Path.DirectorySeparatorChar);
       if (dirParts.Length > 0) {
@@ -76,5 +76,5 @@
 
       foreach (string dir in Directory.EnumerateDirectories(PluginCacheDir)) {
-        cachedPluginsGuids.Add(Guid.Parse(getFilenameFromPath(dir))); // Todo: cleaner solution to getFilenameFromPath
+        cachedPluginsGuids.Add(Guid.Parse(GetFilenameFromPath(dir))); // Todo: cleaner solution to getFilenameFromPath
       }
     }
